ListenerStatus
Date: 2017-02-10

javax.jmdns.impl

## Class ListenerStatus<T extends java.util.EventListener>

- java.lang.Object
- - javax.jmdns.impl.ListenerStatus<T>

- Type Parameters:
    `T` - listener type
  Direct Known Subclasses:
    ListenerStatus.ServiceListenerStatus, ListenerStatus.ServiceTypeListenerStatus

      public class ListenerStatus<T extends java.util.EventListener>
      extends java.lang.Object

  This class track the status of listener.
  The main purpose of this class is to collapse consecutive events so that we can guarantee the correct call back sequence.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ListenerStatus.ServiceListenerStatus`
    `static class` | `ListenerStatus.ServiceTypeListenerStatus`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `ASYNCHONEOUS`
    `static boolean` | `SYNCHONEOUS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListenerStatus(T listener, boolean synch)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `T` | `getListener()`
    `int` | `hashCode()`
    `boolean` | `isSynchronous()` Return true if the listener must be called synchronously.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SYNCHONEOUS

          public static final boolean SYNCHONEOUS

      See Also:
        Constant Field Values

    - #### ASYNCHONEOUS

          public static final boolean ASYNCHONEOUS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ListenerStatus

          public ListenerStatus(T listener,
                        boolean synch)

      Parameters:
        `listener` - listener being tracked.
        `synch` - true if that listener can be called asynchronously

  - ### Method Detail

    - #### getListener

          public T getListener()

      Returns:
        the listener

    - #### isSynchronous

          public boolean isSynchronous()

      Return true if the listener must be called synchronously.
      Returns:
        the synch

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`